PDB2PQR30(1)

NAME
pdb2pqr30 - manual page for pdb2pqr30 3.6.1+dfsg

DESCRIPTION
usage: pdb2pqr [-h] [--ff {AMBER,CHARMM,PARSE,TYL06,PEOEPB,SWANSON}]

    [--userff USERFF] [--clean] [--nodebump] [--noopt] [--keep-chain] [--assign-only] [--ffout {AMBER,CHARMM,PARSE,TYL06,PEOEPB,SWANSON}] [--usernames USERNAMES] [--apbs-input APBS_INPUT] [--pdb-output PDB_OUTPUT] [--ligand LIGAND] [--whitespace] [--neutraln] [--neutralc] [--drop-water] [--include-header] [--titration-state-method {propka}] [--with-ph PH] [-f FILENAMES] [-r REFERENCE] [-c CHAINS] [-i TITRATE_ONLY] [-t THERMOPHILES] [-a ALIGNMENT] [-m MUTATIONS] [-p PARAMETERS] [--log-level {DEBUG,INFO,WARNING,ERROR,CRITICAL}] [-o PH] [-w WINDOW WINDOW WINDOW] [-g GRID GRID GRID] [--mutator MUTATOR] [--mutator-option MUTATOR_OPTIONS] [-d] [-l] [-k] [-q] [--protonate-all] [--version] input_path output_pqr

PDB2PQR v3.6.1: biomolecular structure conversion software.

  positional arguments:

input_path
    Input PDB path or ID (to be retrieved from RCSB database

output_pqr
    Output PQR path

  options:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

  Mandatory options:

    One of the following options must be used

--ff {AMBER,CHARMM,PARSE,TYL06,PEOEPB,SWANSON}
    The forcefield to use. (default: PARSE)

--userff USERFF
    The user-created forcefield file to use. Requires --usernames and overrides --ff (default: None)

--clean
    Do no optimization, atom addition, or parameter assignment, just return the original PDB file in aligned format. Overrides --ff and --userff (default: False)

  General options:

--nodebump
    Do not perform the debumping operation (default: True)

--noopt
    Do not perform hydrogen optimization (default: True)

--keep-chain
    Keep the chain ID in the output PQR file (default: False)

--assign-only
    Only assign charges and radii - do not add atoms, debump, or optimize. (default: False)

--ffout {AMBER,CHARMM,PARSE,TYL06,PEOEPB,SWANSON}
    Instead of using the standard canonical naming scheme for residue and atom names, use the names from the given forcefield (default: None)

--usernames USERNAMES
    The user-created names file to use. Required if using --userff (default: None)

--apbs-input APBS_INPUT
    Create a template APBS input file based on the generated PQR file at the specified location. (default: None)

--pdb-output PDB_OUTPUT
    Create a PDB file based on input. This will be missing charges and radii (default: None)

--ligand LIGAND
    Calculate the parameters for a single MOL2-format ligand at the path specified by this option. The MOL2 ligand name should match only one ligand in the PDB file. (default: None)

--whitespace
    Insert whitespaces between atom name and residue name, between x and y, and between y and z. (default: False)

--neutraln
    Make the N-terminus of a protein neutral (default is charged). Requires PARSE force field. (default: False)

--neutralc
    Make the C-terminus of a protein neutral (default is charged). Requires PARSE force field. (default: False)

--drop-water
    Drop waters before processing biomolecule. (default: False)

--include-header
    Include pdb header in pqr file. WARNING: The resulting PQR file will not work with APBS versions prior to 1.5 (default: False)

  pKa options:

    Options for titration calculations

--titration-state-method {propka}
    Method used to calculate titration states. If a titration state method is selected, titratable residue charge states will be set by the pH value supplied by --with_ph (default: None)

--with-ph PH
    pH values to use when applying the results of the selected pH calculation method. (default: 7.0)

  PROPKA invocation options:

-f, --file FILENAMES
    read data from <filename>, i.e. <filename> is added to arguments (default: [])

-r, --reference REFERENCE
    setting which reference to use for stability calculations [neutral/low-pH] (default: neutral)

-c, --chain CHAINS
    creating the protein with only a specified chain. Specify " " for chains without ID [all] (default: None)

-i, --titrate_only TITRATE_ONLY
    Treat only the specified residues as titratable. Value should be a comma-separated list of "chain:resnum" values; for example: -i "A:10,A:11" (default: None)

-t, --thermophile THERMOPHILES
    defining a thermophile filename; usually used in 'alignment-mutations' (default: None)

-a, --alignment ALIGNMENT
    alignment file connecting <filename> and <thermophile> [<thermophile>.pir] (default: None)

-m, --mutation MUTATIONS
    specifying mutation labels which is used to modify <filename> according to, e.g. N25R/N181D (default: None)

-p, --parameters PARAMETERS
    set the parameter file (default: /usr/lib/python3/dist-packages/propka/propka.cfg)

--log-level {DEBUG,INFO,WARNING,ERROR,CRITICAL}
    logging level verbosity (default: INFO)

-o, --pH PH
    setting pH-value used in e.g. stability calculations [7.0] (default: 7.0)

-w, --window WINDOW WINDOW WINDOW
    setting the pH-window to show e.g. stability profiles [0.0, 14.0, 1.0] (default: (0.0, 14.0, 1.0))

-g, --grid GRID GRID GRID
    setting the pH-grid to calculate e.g. stability related properties [0.0, 14.0, 0.1] (default: (0.0, 14.0, 0.1))

--mutator MUTATOR
    setting approach for mutating <filename> [alignment/scwrl/jackal] (default: None)

--mutator-option MUTATOR_OPTIONS
    setting property for mutator [e.g. type="side-chain"] (default: None)

-d, --display-coupled-residues
    Displays alternative pKa values due to coupling of titratable groups (default: False)

-l, --reuse-ligand-mol2-files
    Reuses the ligand mol2 files allowing the user to alter ligand bond orders (default: False)

-k, --keep-protons
    Keep protons in input file (default: False)

-q, --quiet
    suppress non-warning messages (default: None)

--protonate-all
    Protonate all atoms (will not influence pKa calculation) (default: False)